petsc-3.7.1 2016-05-15
Report Typos and Errors

# DMSNESSetFunction

set SNES residual evaluation function

### Synopsis

    #include "petscsnes.h"
    #include "petscdm.h"
    PetscErrorCode DMSNESSetFunction(DM dm,PetscErrorCode (*f)(SNES,Vec,Vec,void*),void *ctx)

Not Collective Many br

### Input Arguments

| dm | - DM to be used with SNES Many br
| f | - residual evaluation function; see SNESFunction for details Many br
| ctx | - context for residual evaluation Many br

Many br

### Note

SNESSetFunction() is normally used, but it calls this function internally because the user context is actually Many brassociated with the DM. This makes the interface consistent regardless of whether the user interacts with a DM or Many brnot. If DM took a more central role at some later date, this could become the primary method of setting the residual. Many br

### See Also

DMSNESSetContext(), SNESSetFunction(), DMSNESSetJacobian(), SNESFunction

Level:advanced
Location:src/snes/utils/dmsnes.c
Index of all SNES routines
Table of Contents for all manual pages
Index of all manual pages